#version 330 core

out vec4 color;

in vec3 normal;
in vec3 fragPos;
in vec2 texCoords;

struct Light
{
	vec3 position;
	vec3 ambient;
	vec3 diffuse;
	vec3 specular;
};

uniform Light light;
uniform vec3 cameraPosition;
uniform sampler2D texture_diffuse1;
uniform sampler2D texture_specular1;

void main()
{
	color = texture(texture_diffuse1, texCoords);
}
